package org.mentalog.encoder;

import java.nio.ByteBuffer;

public class NullEncoder implements Encoder {
	
	public static byte[] NULL = "null".getBytes();
	
	@Override
	public boolean encode(Object obj, ByteBuffer bb, int varargsPos, int varargsLen) {
		
		if (obj == null) {
			bb.put(NULL);
			return true;
		}
		return false;
	}
}